Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class EffectParameter

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.phonon.EffectParameter

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class EffectParameter

extends QtJambiObject
implements java.lang.Cloneable

Author. Matthias Kretz <kretz@kde.org>The `EffectParameter` class describes one parameter of an effect. You fetch the parameters of an `Effect` with `Effect::parameters()`.
The following code example is written in c++.

        QList<Phonon::EffectParameter> parameters = effect->parameters();

        foreach(Phonon::EffectParameter parameter, parameters) {
            // Do something with parameter
        }

To describe itself, an effect parameter gives a `name()` and possibly `description()` (depending on the backend used). These are suited to present the effect parameter to the user of a Phonon application.

Note that effects are created by the backend, and that their name and descriptions may vary.

The value of an effect parameter is stored in a `QVariant`, of which `type()` is usually `int` or `double`.

The value is retrieved with `Effect::parameterValue()` and set with `setParameterValue()` - both of which takes the `EffectParameter` as argument. Note that not all effect parameters support setting of their value.

You get the values a parameter can take with `possibleValues()`; an empty list is returned if the values are continuous.

A parameter may also specify `default()`, `minimum()`, and `maximum()` values. Values are returned as `QVariant`s. If the parameter does not have the requested value, an `QVariant::Invalid` invalid `QVariant` is returned from these functions.

The `EffectWidget` provides a widget with which one can control the parameters of an `Effect`.
The following code example is written in c++.

        Phonon::EffectWidget *effectWidget = new Phonon::EffectWidget(effect);

See also:
  `Effect`, `EffectWidget`, and Capabilities Example.

Nested Class Summary
`static class` | `EffectParameter.Hint` Only for backend developers.
`static class` | `EffectParameter.Hints` This is a flags class for com.trolltech.qt.phonon.EffectParameter.Hint

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`EffectParameter(EffectParameter rhs)`
`EffectParameter(int parameterId, java.lang.String name, EffectParameter.Hints hints, java.lang.Object defaultValue, java.lang.Object min, java.lang.Object max, java.util.List values)` Only to be used by backend implementations.
`EffectParameter(int parameterId, java.lang.String name, EffectParameter.Hints hints, java.lang.Object defaultValue, java.lang.Object min, java.lang.Object max, java.util.List values, java.lang.String description)` Only to be used by backend implementations.

Method Summary
`EffectParameter` | `clone()` This method is reimplemented for internal reasons
`java.lang.Object` | `defaultValue()` The default value.
`java.lang.String` | `description()` The parameter may come with a description (LADSPA doesn't have a field for this, so don't expect many effects to provide a description).
`static EffectParameter` | `fromNativePointer(QNativePointer nativePointer)` This method returns the EffectParameter instance pointed to by `nativePointer`.
`boolean` | `isLogarithmicControl()` Returns whether the parameter should be displayed using a logarithmic scale.
`java.lang.Object` | `maximumValue()` The maximum value to be used for the control to edit the parameter.
`java.lang.Object` | `minimumValue()` The minimum value to be used for the control to edit the parameter.
`java.lang.String` | `name()` The name of the parameter.
`static QNativePointer` | `nativePointerArray(EffectParameter[] array)` This function returns a QNativePointer that is pointing to the specified EffectParameter array.
`java.util.List` | `possibleValues()` The possible values to be used for the control to edit the parameter.
`int` | `type()` Returns the parameter type.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### EffectParameter

    public EffectParameter(EffectParameter rhs)

### EffectParameter

    public EffectParameter(int parameterId,
                           java.lang.String name,
                           EffectParameter.Hints hints,
                           java.lang.Object defaultValue,
                           java.lang.Object min,
                           java.lang.Object max,
                           java.util.List values)

  Only to be used by backend implementations.

  Creates a new effect parameter.

  `parameterId` This is a number to uniquely identify the parameter. The id is used for value() and setValue().

  `name` is the name/label for this parameter.

  `hints` sets the hints for the type of parameter.

  `defaultValue` The value that should be used as a default.

  `min` is the minimum value allowed for this parameter. You only need to set this if the BoundedBelowHint is set.

  `max` is the maximum value allowed for this parameter. You only need to set this if the BoundedAboveHint is set.

  The `values` parameter is the values that the effect parameter can take (only applies if non-continuous)

  `description` is a descriptive text for the parameter (explaining what it controls) to be used as a tooltip or WhatsThis help.

### EffectParameter

    public EffectParameter(int parameterId,
                           java.lang.String name,
                           EffectParameter.Hints hints,
                           java.lang.Object defaultValue,
                           java.lang.Object min,
                           java.lang.Object max,
                           java.util.List values,
                           java.lang.String description)

  Only to be used by backend implementations.

  Creates a new effect parameter.

  `parameterId` This is a number to uniquely identify the parameter. The id is used for value() and setValue().

  `name` is the name/label for this parameter.

  `hints` sets the hints for the type of parameter.

  `defaultValue` The value that should be used as a default.

  `min` is the minimum value allowed for this parameter. You only need to set this if the BoundedBelowHint is set.

  `max` is the maximum value allowed for this parameter. You only need to set this if the BoundedAboveHint is set.

  The `values` parameter is the values that the effect parameter can take (only applies if non-continuous)

  `description` is a descriptive text for the parameter (explaining what it controls) to be used as a tooltip or WhatsThis help.

Method Detail

### defaultValue

    public final java.lang.Object defaultValue()

  The default value.

### description

    public final java.lang.String description()

  The parameter may come with a description (LADSPA doesn't have a field for this, so don't expect many effects to provide a description).

  The description can be used for a tooltip or `WhatsThis` help.

  Returns A text describing the parameter.

### isLogarithmicControl

    public final boolean isLogarithmicControl()

  Returns whether the parameter should be displayed using a logarithmic scale. This is particularly useful for frequencies and gains.

### maximumValue

    public final java.lang.Object maximumValue()

  The maximum value to be used for the control to edit the parameter.

  If the returned `QVariant` is invalid the value is not bounded from above.

### minimumValue

    public final java.lang.Object minimumValue()

  The minimum value to be used for the control to edit the parameter.

  If the returned `QVariant` is invalid the value is not bounded from below.

### name

    public final java.lang.String name()

  The name of the parameter. Can be used as the label.

  Returns A label for the parameter.

### possibleValues

    public final java.util.List possibleValues()

  The possible values to be used for the control to edit the parameter.

  if the value of this parameter is to be picked from predefined values this returns the list (otherwise it returns an empty QVariantList).

### type

    public final int type()

  Returns the parameter type.

  Common types are `QVariant::Int` , `QVariant::Double` , `QVariant::Bool` and `QVariant::String` . When `QVariant::String` is returned you get the possible values from `possibleValues`.

### fromNativePointer

    public static EffectParameter fromNativePointer(QNativePointer nativePointer)

  This method returns the EffectParameter instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(EffectParameter[] array)

  This function returns a QNativePointer that is pointing to the specified EffectParameter array.

### clone

    public EffectParameter clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD